# BEGIN SourceDeps(oneline):
BuildRequires: librdkafka perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Probe/Vcpkg.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm) pkgconfig(rdkafka)
# END SourceDeps(oneline)
%define module_name Alien-Librdkafka
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt2
Summary: build and install librdkafka
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Librdkafka

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This distribution provides librdkafka so that it can be used by other
Perl distributions that are on CPAN.  It does this by first trying to
detect an existing install of librdkafka on your system.  If found it
will use that.  If it cannot be found, the source code will be downloaded
from the internet and it will be installed in a private share location
for the use of other modules.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml LICENSE Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.05-alt2
- rebuild with perl 5.38

* Thu Dec 09 2021 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- initial import by package builder

